
Infrastructure - Story #976

Design data packaging approach for clients

2010-10-07 19:26 - Dave Vieglais

Status: Closed Start date: 2010-11-30

Priority: Normal Due date: 2013-01-19

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2013.2-Block.1.1   

Story Points:    

Description

Subtasks:

Task # 1122: Describe data packaging decisions in specification Closed

Related issues:

Blocks DataONE R Client - Story #927: R Client needs DataPackage model and im... Closed 2013-02-22 2013-02-22

Blocks DataONE R Client - Story #928: R Client needs to support multiple data... Closed

History

#1 - 2010-10-07 19:27 - Dave Vieglais

See Matt's notes at:

http://dev-testing.dataone.org:8080/hudson/job/API%20Documentation/javadoc/itk-d1r.html#package-design

#2 - 2010-10-07 19:29 - Dave Vieglais

- Target version set to Sprint-2010.41

- Position set to 4

- Position deleted (1)

#3 - 2010-10-22 16:42 - Dave Vieglais

- Position set to 2

- Position deleted (16)

- Target version changed from Sprint-2010.41 to Sprint-2010.43

#4 - 2010-10-27 21:16 - Matthew Jones

- Status changed from New to In Progress

#5 - 2010-10-27 21:17 - Matthew Jones

- translation missing: en.field_remaining_hours set to 8.0

- Assignee set to Matthew Jones

#6 - 2010-10-29 16:56 - Dave Vieglais

- Target version changed from Sprint-2010.43 to Sprint-2010.44

- Position set to 6

- Position deleted (12)

#7 - 2010-11-02 07:53 - Matthew Jones

Began initial design document describing issues and approaches for Data Packaging.  These were added to the architecture documents, viewable
here:

http://dev-testing.dataone.org:8080/hudson/job/API%20Documentation/javadoc/DataPackage.html

#8 - 2010-11-08 17:32 - Dave Vieglais

- Position deleted (14)

- Position set to 1

- Target version changed from Sprint-2010.44 to Sprint-2010.47

#9 - 2010-11-30 18:07 - Matthew Jones

- Target version deleted (Sprint-2010.47)

- Position deleted (44)

- Position set to 11

#10 - 2011-01-28 06:18 - Matthew Jones

Did proptotyping work to create a DataPackage and D1Object class in Java.  Need to reflect these changes back into the design documents.

#11 - 2011-08-30 02:47 - Dave Vieglais

- Position set to 15

- Position deleted (193)

#12 - 2011-11-15 04:11 - Dave Vieglais

- Position set to 1

- Position deleted (77)

- Target version set to Sprint-2011.47-Block.6

#13 - 2011-11-28 18:48 - Dave Vieglais

- Position changed from 1 to 322

- Position deleted (15)

- Position set to 1

- Target version changed from Sprint-2011.47-Block.6 to Sprint-2011.48-Block.6

#14 - 2011-12-05 19:15 - Matthew Jones

- Position deleted (324)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

- Position set to 16

#15 - 2011-12-06 14:35 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.50-Block.6

- Position deleted (21)

- Position set to 1

#16 - 2012-01-03 13:22 - Dave Vieglais

- Target version changed from Sprint-2011.50-Block.6 to Sprint-2012.01-Block.1.1

- Position changed from 1 to 330

- Position deleted (25)

- Position set to 1

#17 - 2012-01-17 15:42 - Dave Vieglais
- Position deleted (339)

- Position set to 1

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.05-Block.1.3

#18 - 2012-01-30 16:29 - Dave Vieglais

- Position deleted (11)

- Position set to 5

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

#19 - 2012-01-30 16:29 - Dave Vieglais

- Position deleted (5)

- Position set to 1

#20 - 2012-02-27 18:12 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 26

- Position deleted (45)

#21 - 2012-03-16 02:34 - Dave Vieglais

- Position set to 24

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position deleted (65)

#22 - 2012-03-26 17:45 - Matthew Jones

- Position deleted (40)

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.13-Block.2.3

- Position set to 25

#23 - 2012-04-23 17:44 - Dave Vieglais

- Position set to 1

- Position deleted (38)

- Target version changed from Sprint-2012.13-Block.2.3 to Sprint-2012.19-Block.3.2

- Position changed from 1 to 425

#24 - 2012-05-07 17:47 - Dave Vieglais

- Position deleted (436)

- Position changed from 1 to 440

- Position set to 1

#25 - 2012-05-30 12:33 - Dave Vieglais

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.27-Block.4.2

- Position set to 1

- Position deleted (442)

#26 - 2012-08-29 17:22 - Chris Jones

- Position set to 1

- Position deleted (26)

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.35-Block.5.2
#27 - 2012-09-28 22:10 - Rob Nahf

- Position set to 1

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4

- Position deleted (10)

- Position changed from 1 to 493

#28 - 2012-10-09 20:02 - Rob Nahf

- Due date set to 2012-10-27

- Milestone set to None

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#29 - 2012-10-24 18:20 - Matthew Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10

#30 - 2012-12-12 18:47 - Chris Jones

- Due date changed from 2012-11-10 to 2013-01-19

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#31 - 2013-02-22 19:18 - Matthew Jones

- Status changed from In Progress to Closed

Data Packaging using OREs has been described in the architecture docs and fully implemented in libclient.  Closing.
